Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1592138 - Review Request: nng - nanomsg next generation: light-weight brokerless messaging
Summary: Review Request: nng - nanomsg next generation: light-weight brokerless messaging
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT mozgw
TreeView+ depends on / blocked
 
Reported: 2018-06-17 17:30 UTC by Peter Robinson
Modified: 2018-07-16 15:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-16 15:13:24 UTC
pzhukov: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2018-06-17 17:30:51 UTC
SPEC: https://pbrobinson.fedorapeople.org/nng.spec
SRPM: https://pbrobinson.fedorapeople.org/nng-1.0.0-1.fc28.src.rpm

Description:
nng (nanomsg next generation) is a socket library that provides several 
common communication patterns. It aims to make the networking layer fast, 
scalable, and easy to use. Implemented in C, it works on a wide range 
of operating systems with no further dependencies.

The communication patterns, also called "scalability protocols", are
basic blocks for building distributed systems. By combining them you can
create a vast array of distributed applications.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=27678389

Comment 1 Pavel Zhukov 2018-06-18 08:24:23 UTC
I'll review it.

Comment 2 Pavel Zhukov 2018-06-19 15:50:12 UTC
looks good. Few cosmetic things:
- Summary is not capitalized
- Trailing whitespaces in description

Isn't it better to package html files in -doc subpackage? They consume 8.6Mb from total of 8.8 and most of users use online documentation nowadays.

Comment 3 Peter Robinson 2018-06-19 15:57:30 UTC
(In reply to Pavel Zhukov from comment #2)
> looks good. Few cosmetic things:
> - Summary is not capitalized
> - Trailing whitespaces in description

I can fix them on commit.

> Isn't it better to package html files in -doc subpackage? They consume 8.6Mb
> from total of 8.8 and most of users use online documentation nowadays.

Well they're all development API docs as opposed to generic docs a standard use might want hence the reason I put them in devel, could go either way.

Comment 4 Pavel Zhukov 2018-06-19 16:40:04 UTC
(In reply to Peter Robinson from comment #3)

> I can fix them on commit.
OK.
> 
> Well they're all development API docs as opposed to generic docs a standard
> use might want hence the reason I put them in devel, could go either way.
What about
Recommends: nng-doc 
It will make both kind of users happy.

Comment 5 Peter Robinson 2018-06-21 13:15:29 UTC
(In reply to Pavel Zhukov from comment #4)
> (In reply to Peter Robinson from comment #3)
> 
> > I can fix them on commit.
> OK.
> > 
> > Well they're all development API docs as opposed to generic docs a standard
> > use might want hence the reason I put them in devel, could go either way.
> What about
> Recommends: nng-doc 
> It will make both kind of users happy.

I'd sooner just use a separate package and be done with it. I personally don't see the point/need to move it to another package as it's all dev docs but I don't have the time or interest to argue the point either.

Comment 6 Pavel Zhukov 2018-06-21 13:29:13 UTC
(In reply to Peter Robinson from comment #5)

> I'd sooner just use a separate package and be done with it. I personally
> don't see the point/need to move it to another package as it's all dev docs
> but I don't have the time or interest to argue the point either.

Approved then.
I can help with maintainership if needed since I'm 0MQ/nanomsg user anyway.

fedora-review is quite old so reviewed manually: 

=== MUST === 
[+] : rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 
[+] [nng] : The package must be named according to the Package Naming Guidelines .
[+] : The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
[+] : The package must meet the Packaging Guidelines .
[+] [MIT] : The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] : The License field in the package spec file must match the actual license. [3]
[+] : If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] : The spec file must be written in American English.
[+] : The spec file for the package [+]  be legible.
[+] : The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[+] : The package [+]  successfully compile and build into binary rpms on at least one primary architecture. [7]
[+] : If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch [+]  have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number [+]  be placed in a comment, next to the corresponding ExcludeArch line. [8]
[+] : All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[N/A] : The spec file [+]  handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[+] : Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] : Packages must NOT bundle copies of system libraries.
[+] : If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[+] : A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[+] : A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] : Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[+] : Each package must consistently use macros. 
[+] : The package must contain code, or permissible content. 
[!] : Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[+] : If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[N/A] : Static libraries must be in a -static package.
[+] : Development files must be in a -devel package. 
[+] : In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] : Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[N/A] : Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[+] : Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] : All filenames in rpm packages must be valid UTF-8.
[+] : Packages being added to the distribution [+]  NOT depend on any packages which have been marked as being deprecated.


=== SHOULD ===
[N/A] If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[N/A] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[+] The reviewer should test that the package builds in mock. 
[+] The package should compile and build into binary rpms on all supported architectures. 
[+] The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[N/A] If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
[+] Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
[N/A] The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
[N/A] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
[+] your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


Rpmlint
-------
Checking: nng-1.0.0-1.fc29.x86_64.rpm
          nng-devel-1.0.0-1.fc29.x86_64.rpm
          nng-utils-1.0.0-1.fc29.x86_64.rpm
          nng-debuginfo-1.0.0-1.fc29.x86_64.rpm
          nng-debugsource-1.0.0-1.fc29.x86_64.rpm
          nng-1.0.0-1.fc29.src.rpm
nng.x86_64: W: spelling-error Summary(en_US) nanomsg -> groomsman
nng.x86_64: W: spelling-error Summary(en_US) brokerless -> broker less, broker-less, brokenness
nng.x86_64: W: summary-not-capitalized C nanomsg next generation: light-weight brokerless messaging
nng.x86_64: W: spelling-error %description -l en_US nanomsg -> groomsman
nng.x86_64: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
nng.x86_64: W: no-documentation
nng-utils.x86_64: W: spelling-error %description -l en_US nanomsg -> groomsman
nng.src: W: spelling-error Summary(en_US) nanomsg -> groomsman
nng.src: W: spelling-error Summary(en_US) brokerless -> broker less, broker-less, brokenness
nng.src: W: summary-not-capitalized C nanomsg next generation: light-weight brokerless messaging
nng.src: W: spelling-error %description -l en_US nanomsg -> groomsman
nng.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
6 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 7 Mohan Boddu 2018-07-13 19:26:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nng


Note You need to log in before you can comment on or make changes to this bug.